Summary	: Wireless AP Search and/or management tool
Group	: System Environment/Base
License	: GPL
Name	: leha-APSearcher
Version	: 1.0
Release	: 11booyo.1
URL	: http://borad.jjinkoo.com
#Source	: http://210.183.235.170/leha-APSearcher/leha-APSearcher-alpha-1.tar.gz
Source	: leha-APSearcher-1.0-beta5.tar.gz

Patch700: leha-APSearcher-1.0-desktop.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Requires: python >= 2.3.4
Requires: wireless-tools >= 27
Requires: initscripts
Requires: usermode >= 1.74

%description
This package contain the Wireless AP search and/or management tool,

%prep
%setup -n leha-APSearcher
%patch700 -p1 -b .booyo

%build

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%post 
ln -s ../share/APSearcher/frontend/leha-APSearcher.py %{_sbindir}/leha-APSearcher.py 
ln -s ../bin/consolehelper %{_bindir}/leha-APSearcher.py

%postun 
rm -f %{_sbindir}/leha-APSearcher.py
rm -f %{_bindir}/leha-APSearcher.py

%files
%defattr(-,root,root)
%{_datadir}/APSearcher/README
%{_datadir}/APSearcher/backend/ap_scan.py
%{_datadir}/APSearcher/backend/booyo_util.py
%{_datadir}/APSearcher/backend/ifcfg_parser.py
%{_datadir}/APSearcher/backend/net_device_manager.py
%{_datadir}/APSearcher/backend/profile_manager.py
%{_datadir}/APSearcher/frontend/basedlg.py
%{_datadir}/APSearcher/frontend/dlg_ap.py
%{_datadir}/APSearcher/frontend/dlg_profile.py
%{_datadir}/APSearcher/frontend/gui_ap.py
%{_datadir}/APSearcher/frontend/leha-APSearcher.py
%{_datadir}/APSearcher/frontend/gui_profile.py
%{_datadir}/APSearcher/frontend/gui_status.py
%{_datadir}/APSearcher/frontend/dlg_error.py
%{_datadir}/applications/leha-APSearcher.desktop
%{_datadir}/icons/Booyohaans/48x48/leha-ap.png
%{_datadir}/locale/ko/LC_MESSAGES/leha-APSearcher.mo
/etc/pam.d/leha-APSearcher.py
/etc/security/console.apps/leha-APSearcher.py

%changelog
* Mon Jun 27 2005 JinkoO Han <jkhan@haansoft.com>
- Add po
- Check usermode
- Apply beta-5

* Wed Jun 15 2005 JinkoO Han <jkhan@haansoft.com>
- Add po
- Apply beta-4

* Tue May 31 2005 JinkoO Han <jkhan@haansoft.com>
- Apply beta-3
- beta-3 modified blcking ui from the alpha-3

* Mon May 23 2005 JinkoO Han <jkhan@haansoft.com>
- Modify category in .desktop

* Tue May 17 2005 JinkoO Han <jkhan@haansoft.com>
- Rebuild
- Icon %%files addition

* Fri May 13 2005 JinkoO Han <jkhan@haansoft.com>
- Rebuild tag name 'beta-1'

* Wed May 11 2005 JinkoO Han <jkhan@haansoft.com>
- Rebuild tag name 'alpha-3'

* Mon May 09 2005 JinkoO Han <jkhan@haansoft.com>
- Change file name, gui_main.py to leha-APSearcher.py

* Mon May 09 2005 JinkoO Han <jkhan@haansoft.com>
- Add requires
- python and wireless-tools

* Fri May 06 2005 JinkoO Han <jkhan@haansoft.com>
- make init SPEC
