#!/usr/bin/env python

import os

import booyo_util
import net_device_manager

class IfcfgParser:
    def set_device(self, device=None):
    	if not device:
		return

    	self.DIC_DATA['DEVICE'] = device

    def set_essid(self, essid=None):
    	if not essid:
		return

	self.DIC_DATA['ESSID'] = essid

    def set_type(self, type=None):
    	if not type:
		return

    	self.DIC_DATA['TYPE'] = type
    
    def set_bootproto(self, hdcp=None):
    	if not hdcp:
		return

    	self.DIC_DATA['BOOTPROTO'] = dhcp

    def set_ipaddr(self, ip=None):
    	if not ip:
		return

    	self.DIC_DATA['IPADDR'] = ip

    def set_netmask(self, netmask=None):
    	if not netmask:
		return

    	self.DIC_DATA['NETMASK'] = netmask

    def set_network(self, network=None):
    	if not network:
		return

    	self.DIC_DATA['NETWORK'] = network

    def set_broadcast(self, broadcast=None):
    	if not broadcast:
		return

    	self.DIC_DATA['BROADCAST'] = broadcast

    def set_onboot(self, onboot=None):
    	if not onboot:
		return

    	self.DIC_DATA['ONBOOT'] = onboot
    
    def is_list_attr(self, data=None):
    	if not data:
		print '잘못된 매개변수'
		return 0, '잘못된 매개변수'

	for x in self.LIST_ATTR:
		if booyo_util.isCompare(x, data):
			return 1, '같음'

	return 0, '다르다'

    def get_essid(self):
	return self.DIC_DATA['ESSID']

    def get_data(self):
	return self.DIC_DATA

    def write(self):
	if (self.DIC_DATA['DEVICE'] == 0) and (len(self.DIC_DATA['DEVICE']) == 0):
		return
	elif (self.DIC_DATA['TYPE'] == 0) and (len(self.DIC_DATA['TYPE']) == 0):
		return
	else:
		abs_path_filename = self.IFCFG_SYSDIR + self.DIC_DATA['DEVICE']
		fo = open(abs_path_filename.split('\n')[0], "w")
		for x in self.DIC_DATA.keys():
			str = x + "=" + self.DIC_DATA[x]
			fo.write(str)
		fo.close()

    def __init__(self, device=None):
	if device == None:
		return

	abs_filename = self.IFCFG_SYSDIR + device
	fi = open(abs_filename, "r")
	for s in fi.readlines():
		if s[0] == '#':
			print 'This is comment : ', s
			continue
		title = s.split('=')[0]
		if self.is_list_attr(title):
			self.DIC_DATA[title] = s.split('=')[1]
	fi.close()

    DIC_DATA = {}
    IFCFG_SYSDIR = '/etc/sysconfig/network-scripts/ifcfg-'
    LIST_ATTR = ['DEVICE', 'ESSID', 'TYPE', 'BOOTPROTO', 'IPADDR', 'NETMASK', 'NETWORK', 'BROADCAST', 'ONBOOT']

if __name__ == "__main__":
    IfcfgParser()
